Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9936;

https://www.cip.audi.de/jira/browse/ACO

RE-9787

Department: EF Affected Products: ADTF 3.6.2

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::CE

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage

Mir sind einige Probleme bei der Entwicklung von Filtern mit Eigenschafen in ADTF3 aufgefallen:

1. Der mitgelieferte ADTFDAT_File_Player besitzt keinen File-Dialog für Dat-Files. Ist dies so gewollt? Mir ist bekannt, dass man Qt

(speziell QML) für diese Funktionalität verwenden muss, damit dies verfügbar wird. Allerdings hätte ich gedacht, dass ein

Dat-File-Player zur Grundfunktionalität von ADTF gehört und dies bereits komplett (ähnlich zu ADTF2) im ADTF-Paket enthalten ist.

Ist dazu etwas in Planung oder muss diese Funktionalität für den Player selbst erweitert werden?

2. Ich habe einen Filter entwickelt, bei dem der Nutzer auch verschiedene Eigenschaften einstellen kann. Dabei ist mir folgendes

aufgefallen:

a) Die Beschreibung, welche über die API mit "SetDescription" zur Verfügung gestellt wird, führt nicht zu dem Ergebnis, dass diese

im ADTF-Konfigurations-Editor als Tooltip angezeigt wird, wenn man den Mauszeiger über den Namen der entsprechenden

Eigenschaft hält.

b) Ich möchte zudem den Wertebereich einer Eigenschaft definieren. Allerdings führt hier ebenfalls die Nzutzung der API

"SetValidRange" nicht zum erwarteten Ergebnis, dass der Wertebereich für den Nutzer eingeschränkt ist. Dieser kann trotzdem

beliebige Werte eingeben.

Lösung

1. Der mitgelieferte ADTFDAT_File_Player besitzt keinen File-Dialog für Dat-Files. Ist dies so gewollt? Mir ist bekannt, dass

man Qt (speziell QML) für diese Funktionalität verwenden muss, damit dies verfügbar wird. Allerdings hätte ich gedacht, dass

ein Dat-File-Player zur Grundfunktionalität von ADTF gehört und dies bereits komplett (ähnlich zu ADTF2) im ADTF-Paket

enthalten ist. Ist dazu etwas in Planung oder muss diese Funktionalität für den Player selbst erweitert werden?

 Nein, das liegt daran, dass das Property leider ein cString statt cFilename ist.

Das wurde bereits gefixt (ACORE-9936) und kommt nun mit der 3.7.0, dann öffnet sich auch ein Dialog.

2. Ich habe einen Filter entwickelt, bei dem der Nutzer auch verschiedene Eigenschaften einstellen kann. Dabei ist mir

folgendes aufgefallen:

a) Die Beschreibung, welche über die API mit "SetDescription" zur Verfügung gestellt wird, führt nicht zu dem Ergebnis, dass

diese im ADTF-Konfigurations-Editor als Tooltip angezeigt wird, wenn man den Mauszeiger über den Namen der

entsprechenden Eigenschaft hält.

 Das ist leider noch nicht umgesetzt, der Property Editor ist darauf noch nicht vorbereitet.

Dazu gibt es ein Ticket -> ACORE-9787 und wird vermutlich im zweiten Halbjahr umgesetzt beim Redesign des Propery Editors.

Hinweis: Zu 3.7.0 gibt es noch die Möglichkeit eine html-Doku zu verlinken (ACORE-8469), was wir bei unseren Komponenten

nachgezogen haben.

b) Ich möchte zudem den Wertebereich einer Eigenschaft definieren. Allerdings führt hier ebenfalls die Nzutzung der API

"SetValidRange" nicht zum erwarteten Ergebnis, dass der Wertebereich für den Nutzer eingeschränkt ist. Dieser kann trotzdem

beliebige Werte eingeben.
 Das ist leider noch nicht umgesetzt, der Property Editor ist darauf noch nicht vorbereitet.

Dazu gibt es ein Ticket -> ACORE-9787 und wird vermutlich im zweiten Halbjahr umgesetzt beim Redesign des Propery Editors.

History

#1 - 2020-04-01 17:20 - hidden

- Project changed from Public Support to 11

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::CE

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9936; ; https://www.cip.audi.de/jira/browse/ACORE-9787

Hallo Nico,

1. Der mitgelieferte ADTFDAT_File_Player besitzt keinen File-Dialog für Dat-Files. Ist dies so gewollt? Mir ist bekannt, dass man Qt (speziell

QML) für diese Funktionalität verwenden muss, damit dies verfügbar wird. Allerdings hätte ich gedacht, dass ein Dat-File-Player zur

Grundfunktionalität von ADTF gehört und dies bereits komplett (ähnlich zu ADTF2) im ADTF-Paket enthalten ist. Ist dazu etwas in Planung oder

muss diese Funktionalität für den Player selbst erweitert werden?

 Nein, das liegt daran, dass das Property leider ein cString statt cFilename ist.

Das wurde bereits gefixt (ACORE-9936) und kommt nun mit der 3.7.0, dan öffnet sich auch ein Dialog.

2. Ich habe einen Filter entwickelt, bei dem der Nutzer auch verschiedene Eigenschaften einstellen kann. Dabei ist mir folgendes aufgefallen:

a) Die Beschreibung, welche über die API mit "SetDescription" zur Verfügung gestellt wird, führt nicht zu dem Ergebnis, dass diese im

ADTF-Konfigurations-Editor als Tooltip angezeigt wird, wenn man den Mauszeiger über den Namen der entsprechenden Eigenschaft hält.

 Das ist auch bisher keine Anforderung, die Description wird im Homeview bei der Komponente angezeigt.

Hinweis: Zu 3.7.0 gibt es noch die Möglichkeit eine html-Doku zu verlinken (ACORE-8469), was wir bei unseren Komponenten nachgezogen haben.

b) Ich möchte zudem den Wertebereich einer Eigenschaft definieren. Allerdings führt hier ebenfalls die Nzutzung der API "SetValidRange" nicht

zum erwarteten Ergebnis, dass der Wertebereich für den Nutzer eingeschränkt ist. Dieser kann trotzdem beliebige Werte eingeben.

 Das ist leider noch nicht umgesetzt, der Property Editor ist darauf noch nicht vorbereitet.

Dazu gibt es ein Ticket -> ACORE-9787 und wird vermutlich im zweiten Halbjahr umgesetzt beim Redesign des Propery Editors.

#2 - 2020-04-01 19:13 - hidden

Hallo Florian,

danke erstmal für deine schnelle Antwort.

1. Der mitgelieferte ADTFDAT_File_Player besitzt keinen File-Dialog für Dat-Files. Ist dies so gewollt? Mir ist bekannt, dass man Qt

(speziell QML) für diese Funktionalität verwenden muss, damit dies verfügbar wird. Allerdings hätte ich gedacht, dass ein Dat-File-Player

zur Grundfunktionalität von ADTF gehört und dies bereits komplett (ähnlich zu ADTF2) im ADTF-Paket enthalten ist. Ist dazu etwas in

Planung oder muss diese Funktionalität für den Player selbst erweitert werden?

 Nein, das liegt daran, dass das Property leider ein cString statt cFilename ist.

Das wurde bereits gefixt (ACORE-9936) und kommt nun mit der 3.7.0, dan öffnet sich auch ein Dialog.

 Könnt ihr schon sagen, wann diese Version erscheint?

2. Ich habe einen Filter entwickelt, bei dem der Nutzer auch verschiedene Eigenschaften einstellen kann. Dabei ist mir folgendes

aufgefallen:

a) Die Beschreibung, welche über die API mit "SetDescription" zur Verfügung gestellt wird, führt nicht zu dem Ergebnis, dass diese im

ADTF-Konfigurations-Editor als Tooltip angezeigt wird, wenn man den Mauszeiger über den Namen der entsprechenden Eigenschaft hält.

 Das ist auch bisher keine Anforderung, die Description wird im Homeview bei der Komponente angezeigt.

Hinweis: Zu 3.7.0 gibt es noch die Möglichkeit eine html-Doku zu verlinken (ACORE-8469), was wir bei unseren Komponenten nachgezogen

haben.

 Vielleicht habe ich mich hier etwas ungünstig ausgedrückt. Ich meinte nicht die Beschreibung des Filters selbst, sondern der einzelnen Eigenschaften

des Filters, die der Nutzer verändern kann. Aber ich nehme an, dass das dann mit dem Redesign des Property Editors erst kommt, wie du es in 2.b)

erwähnt hast?
b) Ich möchte zudem den Wertebereich einer Eigenschaft definieren. Allerdings führt hier ebenfalls die Nzutzung der API "SetValidRange"

nicht zum erwarteten Ergebnis, dass der Wertebereich für den Nutzer eingeschränkt ist. Dieser kann trotzdem beliebige Werte eingeben.

 Das ist leider noch nicht umgesetzt, der Property Editor ist darauf noch nicht vorbereitet.

Dazu gibt es ein Ticket -> ACORE-9787 und wird vermutlich im zweiten Halbjahr umgesetzt beim Redesign des Propery Editors.

 Ok, dann muss ich das vorerst im Code selbst abfangen.

Danke nochmals.

#3 - 2020-04-02 17:52 - hidden

Hallo Nico,

Könnt ihr schon sagen, wann diese Version erscheint?

 wir sind gerade im Freigabetesting und finalen Bugfixes, die beim Testen auffallen.

Eine genaue Prognose fällt in der aktuellen Lage leider schwer...

Wir wollen die Version auch noch kurz zurückhalten und dann auch gleiche sämtliche Toolboxen erneuern.

Auch hier sind wir im finalen Schliff, doch etwas Henne/Ei Problem und Resourcen/Corona Hürden.

Hoffe dass alles die nächsten Wochen über die Bühne geht.

Ich meinte nicht die Beschreibung des Filters selbst, sondern der einzelnen Eigenschaften des Filters, die der Nutzer verändern kann. Aber ich

nehme an, dass das dann mit dem Redesign des Property Editors erst kommt, wie du es in 2.b) erwähnt hast?

 Ah ok, ja genau, es liegt grundsätzlich an den Tooltips und wie diese aufbereitet werden im Property Editor -> nächste große Baustelle

Ok, dann muss ich das vorerst im Code selbst abfangen.

 Müsstest du ohnehin, der CE schützt nur den Anwender.

Theoretisch könnten die Sessionfiles auch händisch editiert werden oder Properties per RPC zur Laufzeit geändert werden (zB mit ADTF Control

oder ADTF Property Editor Tool als GUI Variante ab 3.7)

#4 - 2020-04-03 07:20 - hidden

Florian Roth wrote:

Hallo Nico,

Könnt ihr schon sagen, wann diese Version erscheint?

 wir sind gerade im Freigabetesting und finalen Bugfixes, die beim Testen auffallen.

Eine genaue Prognose fällt in der aktuellen Lage leider schwer...

Wir wollen die Version auch noch kurz zurückhalten und dann auch gleiche sämtliche Toolboxen erneuern.

Auch hier sind wir im finalen Schliff, doch etwas Henne/Ei Problem und Resourcen/Corona Hürden.

Hoffe dass alles die nächsten Wochen über die Bühne geht.

Ich meinte nicht die Beschreibung des Filters selbst, sondern der einzelnen Eigenschaften des Filters, die der Nutzer verändern kann. Aber

ich nehme an, dass das dann mit dem Redesign des Property Editors erst kommt, wie du es in 2.b) erwähnt hast?

 Ah ok, ja genau, es liegt grundsätzlich an den Tooltips und wie diese aufbereitet werden im Property Editor -> nächste große Baustelle

Ok, dann muss ich das vorerst im Code selbst abfangen.

 Müsstest du ohnehin, der CE schützt nur den Anwender.

Theoretisch könnten die Sessionfiles auch händisch editiert werden oder Properties per RPC zur Laufzeit geändert werden (zB mit ADTF

Control oder ADTF Property Editor Tool als GUI Variante ab 3.7)

 Hallo Florian,

alles klar. Danke für die Informationen.
Gruß

Nico

#5 - 2020-04-06 08:41 - hidden

- Project changed from 11 to Public Support

- Subject changed from Filtereigenschaften bei der Entwicklung mit ADTF3 to Show property description and validate ranges

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Product Issue Numbers changed from https://www.cip.audi.de/jira/browse/ACORE-9936; ; https://www.cip.audi.de/jira/browse/ACORE-9787 to

https://www.cip.audi.de/jira/browse/ACORE-9936; https://www.cip.audi.de/jira/browse/ACORE-9787

#8 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
